VideoScribe supported versions

Last updated 2020-03-20 12:26:44 +0000

This article confirms which versions of VideoScribe are currently supported and available for you to use.


Currently, VideoScribe version 3.4 and higher are supported. If you are not sure what version you are currently using, check your VideoScribe version number.

If you are using an unsupported version you can upgrade to the latest version of VideoScribe, the latest version of the software is always available via the download page. It’s free to install and you will not lose any projects by upgrading. You will need to log-in with your Sparkol account to access this page. 

A limited number of older versions are also available under the previous versions section, near the bottom of the download page. If the version you need is supported, but not available, please raise a support ticket and we can provide you with a download link.

Release notes can be found in the release notes folder of the help site. These will tell you what exciting new features and changes have been added in each version.

VideoScribe versions no longer supported

Support for VideoScribe versions 3.0 to 3.3 ended on 16th March 2020 - see this announcement for more details.

Support for VideoScribe version 2.3.7 ended on 9th December 2019 - see this announcement for more details.

Support for VideoScribe versions 2.1 to 2.3.6 ended on 8th May 2018 - see this announcement for more details.

All versions of VideoScribe 1 and VideoScribe 2.0.x ceased being supported as of 30th September 2015 - see this announcement for more details.

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.